## org.jboss.util
Interface AutoNumber

All Superinterfaces:
  javax.ejb.EJBObject, java.rmi.Remote

public interface AutoNumber
extends javax.ejb.EJBObject

AutoNumber stores autonumbers for items in a collection.

Version:
  $Revision: 1.1 $
Author:
  Michel de Groot

Method Summary
`java.lang.Integer` `getValue()` Gets the current value of the autonumber.
`void` `setValue(java.lang.Integer value)` Sets the current value of the autonumber.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getValue

    public java.lang.Integer getValue()
                               throws java.rmi.RemoteException

  Gets the current value of the autonumber.

### setValue

    public void setValue(java.lang.Integer value)
                  throws java.rmi.RemoteException

  Sets the current value of the autonumber.

Copyright © 2000 The JBoss Organization. All Rights Reserved.